Apps
Create an App
Create an app in your organization
POST
Create an app in your organization
api_keyheader
AuthorizationBasic <token>application/json- body
name*stringThe name of the application.
Length
3 <= length <= 60metadata?|Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
Created
application/json- response
id*stringFormat
uuidname*stringstatus?stringApp verification status. Some Dots use cases require newly created apps to pass KYB review.
Value in
"created""in_review""approved"metadata?|Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
settings*Example Request
curl -X POST 'https://api.dots.dev/api/v2/apps' \ -H 'Content-Type: application/json' \ -d '{ "name": "string"}'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "status": "created", "metadata": "string", "settings": { "payout_options_exclude_list": [ "ach" ], "auto_refill_active": true, "refill_amount": 0, "refill_threshold": 0 }}